<%@ Page language="c#" Codebehind="ActiveIssues.aspx.cs" AutoEventWireup="True" Inherits="HelpDesk.ActiveIssues" MasterPageFile="HelpDeskMaster.Master" %>
<asp:Content ContentPlaceHolderID="ContentPlaceHolder1" id="Content1" runat="server">
	<table cellpadding="5" width="100%">
		<tr valign="top">
			<!-- left td start (categories menu)-->
			<td style="width:250px;">
				<table class="graphtable lightbg" cellpadding="4" style="width:250px">
					<tr>
						<td class="gradientbg"><asp:label ID="lblPick" runat="server" EnableViewState="False" Font-Bold="True" meta:resourcekey="lblPickResource1">Pick a category:</asp:label></td>
					</tr>
					<tr valign="top">
						<td class="catmenu"><asp:repeater id="rptCategories" runat="server" EnableViewState="False">
								<ItemTemplate>
								    <%# RenderTree(Eval("Section").ToString()) %>
									<a href='ActiveIssues.aspx?CategoryID=<%# Eval("CategoryID") %>&UserID=<%# Request.QueryString["UserID"] %>&ShowAll=<%# Request.QueryString["ShowAll"] %>'>
										<%# Eval("Name") %>
										<b><%# ((int)Eval("IssuesCount"))>0 ? ("(" + Eval("IssuesCount") + ")") : "" %></b>
									</a></ItemTemplate>
								<FooterTemplate>
								    <%= RenderTreeEnd() %>
									<br /><br /><br /><br />
									<a title="show issues from all categories" class="catmenu" href='ActiveIssues.aspx?CategoryID=0&UserID=<%# Request.QueryString["UserID"] %>&ShowAll=<%# Request.QueryString["ShowAll"] %>'>
										<asp:label ID="lblAllCategories" EnableViewState="False" runat="server" meta:resourcekey="lblAllCategoriesResource1">all categories</asp:label>
									</a>
								</FooterTemplate>
							</asp:repeater>
						</td>
					</tr>
				</table>
			</td>
			<!-- left td end -->
			<!-- right td start -->
			<td style="width:100%">
				<table class="graphtable" cellpadding="4" width="100%">
					<tr>
						<td class="gradientbg">
						    <a href='ActiveIssues.aspx?CategoryID=<%= Request.QueryString["CategoryID"] %>' >
						        <asp:Label ID="lblUnclosedIssues" runat="server" EnableViewState="False" meta:resourcekey="lblUnclosedIssuesResource1">unclosed issues</asp:Label></a> |
						    <a href='ActiveIssues.aspx?UserID=yes&CategoryID=<%= Request.QueryString["CategoryID"] %>' >
								<asp:Label ID="lblUnclosedAssignedTo" runat="server" EnableViewState="False" meta:resourcekey="lblUnclosedAssignedToResource1">unclosed and assigned to</asp:Label> <b><%= HelpDesk.BusinessLayer.User.RemoveDomainFromUsername(User.Identity.Name) %></b></a> | 
							<a href='ActiveIssues.aspx?ShowAll=1&CategoryID=<%= Request.QueryString["CategoryID"] %>' >
								<asp:Label ID="lblShowAll" runat="server" EnableViewState="False" meta:resourcekey="lblShowAllResource1">show all (including closed)</asp:Label></a></td>
					</tr>
				</table>
				<br />
				<asp:label id="lblNoIssues" runat="server" Visible="False" EnableViewState="False" meta:resourcekey="lblNoIssuesResource1">No issues found (or not enough permissions)</asp:label>
				<asp:DataGrid id="gridIssues" runat="server" EnableViewState="False" AutoGenerateColumns="False"
					Width="100%" CellPadding="3" BorderStyle="Solid" BorderColor="Silver" CssClass="lightbg sortable" OnItemDataBound="gridIssues_ItemDataBound">
					<HeaderStyle CssClass="gradientbg"></HeaderStyle>
					<Columns>
					    <asp:HyperLinkColumn DataNavigateUrlField="IssueID" DataNavigateUrlFormatString="ViewIssue.aspx?IssueID={0}" DataTextField="IssueID" HeaderText="ID" />
						<asp:TemplateColumn HeaderText="Issue" meta:resourcekey="colIssueResource1">
							<HeaderStyle Width="100%"></HeaderStyle>
							<ItemTemplate>
								<asp:HyperLink ID="lnkIssue" runat="server" Text='<%# Eval("Subject") %>' NavigateUrl='<%# Eval("IssueID", "ViewIssue.aspx?IssueID={0}") %>'></asp:HyperLink>
								<%# (int)Eval("StatusID")==1 ? "<img src=\"images/new.gif\" />" : "" %>
								<%# (bool)Eval("UpdatedByUser") ? "<img src=\"images/updated.gif\" />" : "" %>
							</ItemTemplate>
						</asp:TemplateColumn>
						<asp:TemplateColumn HeaderText="Priority" meta:resourcekey="colPriorityResource1">
							<ItemTemplate>
								<asp:Label ID="lblPriority" runat="server" EnableViewState="False" ForeColor='<%# HelpDesk.HDPage.GetColorByPriority((HelpDesk.BusinessLayer.IssuePriority)Convert.ToInt64(Eval("Priority"))) %>'><%# HelpDesk.BusinessLayer.IssueUtils.GetPriorityDescription((HelpDesk.BusinessLayer.IssuePriority)Convert.ToInt64(Eval("Priority"))) %></asp:Label>
							</ItemTemplate>
						</asp:TemplateColumn>	
						<asp:BoundColumn DataField="Status" HeaderText="Status" meta:resourcekey="colStatusResource1">
							<ItemStyle Wrap="False"></ItemStyle>
						</asp:BoundColumn>
						<asp:BoundColumn DataField="IssueDate" HeaderText="Date" DataFormatString="{0:d}" meta:resourcekey="colDateResource1"></asp:BoundColumn>
						<asp:TemplateColumn HeaderText="From" meta:resourcekey="colFromResource1">
						    <ItemTemplate><%# HelpDesk.BusinessLayer.User.RemoveDomainFromUsername(Eval("UserName").ToString())%></ItemTemplate>
						</asp:TemplateColumn>
						<asp:BoundColumn DataField="Technician" HeaderText="Handled by" meta:resourcekey="colTechnicianResource1"></asp:BoundColumn>
					</Columns>
				</asp:DataGrid></td>
			<!--right td end--></tr>
	</table>
</asp:Content>
