<%@ Page Language="c#" Codebehind="AdminSettings.aspx.cs" AutoEventWireup="True"
    Inherits="HelpDesk.AdminSettings" MasterPageFile="HelpDeskMaster.Master" %>

<asp:Content ContentPlaceHolderID="ContentPlaceHolder1" ID="Content1" runat="server">
    <p>
        <strong><a href="Admin.aspx">Administration</a> &raquo;
        <asp:Label runat="server" ID="lblSettings" EnableViewState="False" meta:resourcekey="lblSettingsResource1" Text="Settings"></asp:Label></strong></p>
    <table class="graphtable lightbg" cellpadding="4" cellspacing="0" width="600">
        <tr>
            <td class="gradientbg">
                <b><asp:Label runat="server" ID="lblVarious" EnableViewState="False" meta:resourcekey="lblVariousResource1" Text="Various settings"></asp:Label></b></td>
        </tr>
        <tr>
            <td>
                <asp:CheckBox ID="chkAllowUserRegistration" runat="server" Text="Allow new users to register themselves (uncheck if you want to create all new users MANUALLY)" meta:resourcekey="chkAllowUserRegistrationResource1" /></td>
        </tr>
        <tr>
            <td>
                <asp:CheckBox ID="cbRestrictIssueDeletion" runat="server" Text="Restrict issue deletion to Admins only (uncheck to allow users delete their own issues)" meta:resourcekey="cbRestrictIssueDeletionResource1" /></td>
        </tr>
        <tr>
            <td>
                <asp:CheckBox ID="cbRestrictIssueClosing" runat="server" Text="Restrict issue closing to Technicians only (uncheck to allow users Close their own issues)" meta:resourcekey="cbRestrictIssueClosingResource1" /></td>
        </tr>
        <tr>
			<td>
				<asp:Label runat="server" ID="lblLang" EnableViewState="False" meta:resourcekey="lblLangResource1" Text="Language:"></asp:Label>
				<asp:DropDownList ID="ddlLang" runat="server" meta:resourcekey="ddlLangResource1">
					<asp:ListItem Text="en-US" Value="en-US"></asp:ListItem>
					<asp:ListItem Text="de-DE" Value="de-DE"></asp:ListItem>
					<asp:ListItem Text="nb-NO" Value="nb-NO"></asp:ListItem>
					<asp:ListItem Text="pt-BR" Value="pt-BR"></asp:ListItem>
				</asp:DropDownList>
			</td>
        </tr>
        <tr>
            <td>
                <asp:Label ID="lblMaxAttachSize" runat="server" EnableViewState="False" meta:resourcekey="lblMaxAttachSizeResource1">Maximum attachment filesize (in kb):</asp:Label>
                <asp:TextBox ID="tbMaxAttachSize" runat="server" EnableViewState="False"></asp:TextBox>
            </td>
        </tr>
    </table>
    <br />
    <table class="graphtable lightbg" cellpadding="4" width="600">
        <tr>
            <td class="gradientbg">
                <b><asp:Label runat="server" ID="Label1" EnableViewState="False" meta:resourcekey="Label1Resource1" Text="Email settings"></asp:Label></b></td>
        </tr>
        <tr>
            <td>
                <table cellpadding="4" width="100%">
                    <tr>
                        <td colspan="2">
                            <asp:CheckBox ID="cbEmail" runat="server" Text="Email notifications enabled" meta:resourcekey="cbEmailResource1"></asp:CheckBox>
                        </td>
                    </tr>
                    <tr>
                        <td align="right">
                            <asp:Label runat="server" ID="lblFrom" EnableViewState="False" meta:resourcekey="lblFromResource1" Text='"From" email-address (eg. "robot@myserver.com"):'></asp:Label></td>
                        <td>
                            <asp:TextBox ID="tbFrom" runat="server" meta:resourcekey="tbFromResource1"></asp:TextBox></td>
                    </tr>
                    <tr>
                        <td align="right">
                            <asp:Label runat="server" ID="lblSMTPServer" EnableViewState="False" meta:resourcekey="lblSMTPServerResource1" Text='SMTP server address (eg. "smtp.server.com"):'></asp:Label></td>
                        <td>
                            <asp:TextBox ID="tbSMTPServer" runat="server" meta:resourcekey="tbSMTPServerResource1"></asp:TextBox></td>
                    </tr>
                    <tr>
                        <td align="right">
                            <asp:Label runat="server" ID="lblSMTPPort" EnableViewState="False" meta:resourcekey="lblSMTPPortResource1" Text='SMTP server port (eg. "25"):'></asp:Label></td>
                        <td>
                            <asp:TextBox ID="tbSMTPPort" runat="server" meta:resourcekey="tbSMTPPortResource1"></asp:TextBox></td>
                    </tr>
                    <tr>
                        <td colspan="2">
                            <asp:CheckBox ID="cbSmtpAuth" runat="server" Text="SMTP server requires authentication" meta:resourcekey="cbSmtpAuthResource1">
                            </asp:CheckBox></td>
                    </tr>
                    <tr>
                        <td align="right">
                            <asp:Label runat="server" ID="lblSMTPUser" EnableViewState="False" meta:resourcekey="lblSMTPUserResource1" Text="SMTP username:"></asp:Label></td>
                        <td>
                            <asp:TextBox ID="tbSMTPUser" runat="server" meta:resourcekey="tbSMTPUserResource1"></asp:TextBox></td>
                    </tr>
                    <tr>
                        <td align="right">
                            <asp:Label runat="server" ID="lblSMTPPassword" EnableViewState="False" meta:resourcekey="lblSMTPPasswordResource1" Text="SMTP password:"></asp:Label></td>
                        <td>
                            <asp:TextBox ID="tbSMTPPsw" runat="server" meta:resourcekey="tbSMTPPswResource1"></asp:TextBox></td>
                    </tr>
                    <tr>
                        <td colspan="2">
                            <asp:CheckBox ID="cbSMTPUseSSL" runat="server" Text="Use SSL to connect to the SMTP server" meta:resourcekey="cbSMTPUseSSLResource1">
                            </asp:CheckBox></td>
                    </tr>
                    <tr>
                        <td colspan="2">
                            <br /><br />
                            <asp:Label runat="server" ID="lblEmailTemplate" EnableViewState="False" meta:resourcekey="lblEmailTemplateResource1" Text="Email Template:"></asp:Label>
                            <asp:TextBox ID="tbEmailTemplate" runat="server" TextMode="multiline" Rows="7" Width="100%"></asp:TextBox>
                        </td>
                    </tr>
                </table>
            </td>
        </tr>
    </table>
    <br />
    <table  class="graphtable lightbg" cellpadding="4" cellspacing="0" width="600">
        <tr>
            <td class="gradientbg">
                <b><asp:Label runat="server" ID="lblIncomingHandler" EnableViewState="False" meta:resourcekey="lblIncomingHandlerResource1" Text="Incoming mail-handler settings"></asp:Label></b></td>
        </tr>
        <tr>
            <td>
                <asp:Label runat="server" ID="lblIcomingPrompt" EnableViewState="False" meta:resourcekey="lblIcomingPromptResource1" Text='"Incoming mail-handler" periodically checks a specified email address and generates issues based on the incoming emails'></asp:Label></td>
        </tr>
        <tr>
            <td>
                <table cellpadding="4">
                    <tr>
                        <td colspan="2">
                            <asp:CheckBox ID="cbMailCheckerEnabled" runat="server" Text="Enable automatic email checker" meta:resourcekey="cbMailCheckerEnabledResource1">
                            </asp:CheckBox>
                        </td>
                    </tr>
                    <tr>
                        <td colspan="2">
                            <asp:CheckBox ID="cbMailCheckerAllowUnregisteredUsers" runat="server" Text="Accept emails from unregistered users." meta:resourcekey="cbMailCheckerAllowUnregisteredUsersResource1">
                            </asp:CheckBox>
                            <br />
                            <i><asp:Label runat="server" ID="lblMailCheckerHelp" EnableViewState="False" meta:resourcekey="lblMailCheckerHelpResource1" Text='When OFF, HelpDesk will create email-based issues only from existing email-addresses,&#13;&#10;                                which are already registered in the system. When ON, HelpDesk will convert ALL incoming emails into new issues.&#13;&#10;                                If an email-address is not present in the system yet,&#13;&#10;                                HelpDesk will create a new user with a new password.&#13;&#10;                                A user can later retrieve his password via "forgot password" link.&#13;&#10;                                '></asp:Label>
                            </i>
                        </td>
                    </tr>
                    <tr>
                        <td align="right">
                            <asp:Label runat="server" ID="lblInterval" EnableViewState="False" meta:resourcekey="lblIntervalResource1" Text="Time interval (in seconds, 600 recommended):"></asp:Label></td>
                        <td>
                            <asp:TextBox ID="tbMailCheckerInterval" runat="server" meta:resourcekey="tbMailCheckerIntervalResource1"></asp:TextBox></td>
                    </tr>
                    <tr>
                        <td align="right">
                            <asp:Label runat="server" ID="lblPOPAddress" EnableViewState="False" meta:resourcekey="lblPOPAddressResource1" Text='POP3-server address (eg. "pop.server.com"):'></asp:Label></td>
                        <td>
                            <asp:TextBox ID="tbPOPServer" runat="server" meta:resourcekey="tbPOPServerResource1"></asp:TextBox></td>
                    </tr>
                    <tr>
                        <td align="right">
                            <asp:Label runat="server" ID="lblPOPPort" EnableViewState="False" meta:resourcekey="lblPOPPortResource1" Text='POP3-server port (eg. "110"):'></asp:Label></td>
                        <td>
                            <asp:TextBox ID="tbPOPPort" runat="server" meta:resourcekey="tbPOPPortResource1"></asp:TextBox></td>
                    </tr>
                    <tr>
                        <td align="right">
                            <asp:Label runat="server" ID="lblPOPLogin" EnableViewState="False" meta:resourcekey="lblPOPLoginResource1" Text='POP-server login (eg. "support@myserver.com"):'></asp:Label></td>
                        <td>
                            <asp:TextBox ID="tbPOPLogin" runat="server" meta:resourcekey="tbPOPLoginResource1"></asp:TextBox></td>
                    </tr>
                    <tr>
                        <td align="right">
                            <asp:Label runat="server" ID="lblPOPPassword" EnableViewState="False" meta:resourcekey="lblPOPPasswordResource1" Text='POP-server password (eg. "support@myserver.com"):'></asp:Label></td>
                        <td>
                            <asp:TextBox ID="tbPOPPassword" runat="server" meta:resourcekey="tbPOPPasswordResource1"></asp:TextBox></td>
                    </tr>
                    <tr>
                        <td colspan="2">
                            <asp:CheckBox ID="cbMailCheckerUseSSL" runat="server" Text="Use SSL to connect to the POP3 server" meta:resourcekey="cbMailCheckerUseSSLResource1">
                            </asp:CheckBox>
                        </td>
                    </tr>
                    <tr>
                        <td align="right">
                            <asp:Label runat="server" ID="lblDefCat" EnableViewState="False" meta:resourcekey="lblDefCatResource1" Text="New issues go the default category:"></asp:Label></td>
                        <td>
                            <asp:DropDownList ID="ddlCat" runat="server" DataTextField="Name" DataValueField="CategoryID" meta:resourcekey="ddlCatResource1">
                            </asp:DropDownList></td>
                    </tr>
                </table>
            </td>
        </tr>
    </table>
    <br />
    <asp:Button ID="btnSave" runat="server" Text="SAVE CHANGES" Font-Bold="True" ForeColor="Red" CssClass="gradientbg"
        OnClick="btnSave_Click" meta:resourcekey="btnSaveResource1"></asp:Button>
</asp:Content>
