<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="ReportSummary.aspx.cs" Inherits="HelpDesk.ReportSummary" MasterPageFile="HelpDeskMaster.Master" %>

<asp:Content ContentPlaceHolderID="ContentPlaceHolder1" id="Content1" runat="server">
	<p><strong><a href="Reports.aspx"><asp:Label ID="lblReports" runat="server" EnableViewState="False" meta:resourcekey="lblReportsResource1">Reports</asp:Label></a>
	&raquo;
	<asp:Label ID="Label1" runat="server" EnableViewState="False" meta:resourcekey="Label1Resource1">Summary</asp:Label></strong></p>
	<table class="graphtable lightbg" cellpadding="4" width="100%">
		<tr>
			<td class="gradientbg" style="white-space:nowrap">
				<asp:Label ID="Label2" runat="server" EnableViewState="False" meta:resourcekey="Label2Resource1">Category:</asp:Label>
				<asp:DropDownList ID="ddlCat" runat="server" DataTextField="Name" DataValueField="CategoryID" meta:resourcekey="ddlCatResource1" />
				<asp:Label ID="Label3" runat="server" EnableViewState="False" meta:resourcekey="Label3Resource1">From (YYYY-MM-DD):</asp:Label>
				<asp:TextBox ID="txtDateFrom" runat="server" meta:resourcekey="txtDateFromResource1"></asp:TextBox>
				<asp:Label ID="Label4" runat="server" EnableViewState="False" meta:resourcekey="Label4Resource1">To:</asp:Label>
				<asp:TextBox id="txtDateTo" runat="server" meta:resourcekey="txtDateToResource1"></asp:TextBox>
				<asp:Button ID="btnSearch" runat="server" CssClass="gradientbg" Text="search" OnClick="btnSearch_Click" Font-Bold="true" meta:resourcekey="btnSearchResource1" />
				<asp:Button ID="btnExcel" runat="server" CssClass="gradientbg" Text="excel" OnClick="btnExcel_Click" />
			</td>
		</tr>
	</table>
	<br />
	<table width="100%"><tr><td align="center">
	<img src="" alt="" runat="server" id="imgCategoriesPieChart" visible="false" />
	<img src="" alt="" runat="server" id="imgStatusPieChart" visible="false" />
	</td></tr></table>
	<br />
	<asp:Label id="lblNoIssues" runat="server" EnableViewState="False" Visible="False" meta:resourcekey="lblNoIssuesResource1">No issues found</asp:Label>
	<asp:DataGrid id="gridIssues" runat="server" AutoGenerateColumns="False" EnableViewState="False"
		Width="100%" CellPadding="3" BorderColor="Silver" BorderStyle="Solid" CssClass="lightbg sortable" OnItemDataBound="gridIssues_ItemDataBound" meta:resourcekey="gridIssuesResource1">
		<HeaderStyle CssClass="gradientbg" Font-Bold="True"></HeaderStyle>
		<Columns>
			<asp:TemplateColumn HeaderText="Issue" meta:resourcekey="colIssueResource1">
				<HeaderStyle Width="100%"></HeaderStyle>
				<ItemTemplate>
					<asp:HyperLink ID="HyperLink1" runat="server" Text='<%# Eval("Subject") %>' NavigateUrl='<%# Eval("IssueID", "ViewIssue.aspx?IssueID={0}") %>' meta:resourcekey="HyperLink1Resource1"></asp:HyperLink>
					<%# (int)Eval("StatusID")==1 ? "<img src=\"images/new.gif\">" : "" %>
				</ItemTemplate>
			</asp:TemplateColumn>
			<asp:BoundColumn Visible="false" DataField="Subject" HeaderText="Subject" meta:resourcekey="colIssueResource1"></asp:BoundColumn>
			<asp:BoundColumn DataField="Category" HeaderText="Category" meta:resourcekey="colCategoryResource1"></asp:BoundColumn>
			<asp:TemplateColumn HeaderText="From" meta:resourcekey="colFromResource1">
			    <ItemTemplate>
			        <%# HelpDesk.BusinessLayer.User.RemoveDomainFromUsername(Eval("UserName").ToString()) %>
			    </ItemTemplate>
			</asp:TemplateColumn>
			<asp:BoundColumn DataField="Performer" HeaderText="Handled by" meta:resourcekey="colHandledByResource1">
                <HeaderStyle Wrap="False" />
            </asp:BoundColumn>
			<asp:BoundColumn DataField="IssueDate" HeaderText="Date" DataFormatString="{0:d}" meta:resourcekey="colDateResource1"></asp:BoundColumn>
			<asp:BoundColumn DataField="ResolvedDate" HeaderText="Close date" DataFormatString="{0:d}" meta:resourcekey="colCloseDateResource1">
                <HeaderStyle Wrap="False" />
            </asp:BoundColumn>
			<asp:TemplateColumn HeaderText="Duration" meta:resourcekey="colDurationResource1">
				<ItemStyle Wrap="False" />
				<ItemTemplate><%# CalculateDuration(Eval("ResolvedDate"), Eval("IssueDate")) %></ItemTemplate>
			</asp:TemplateColumn>
			<asp:BoundColumn DataField="Status" HeaderText="Status" meta:resourcekey="colStatusResource">
				<ItemStyle Wrap="False"></ItemStyle>
			</asp:BoundColumn>
		</Columns>
	</asp:DataGrid>
	<div id="divTotal" runat="server" visible="false">
	    Total <span id="spanTotal" runat="server"></span> issues found.
	</div>
</asp:Content>