<%@ Page language="c#" Codebehind="Search.aspx.cs" AutoEventWireup="True" Inherits="HelpDesk.Search" MasterPageFile="HelpDeskMaster.Master" %>
<asp:Content ContentPlaceHolderID="ContentPlaceHolder1" id="Content1" runat="server">
	<p><asp:Label ID="lblNote" runat="server" EnableViewState="False" meta:resourcekey="lblNoteResource1">The search engine returns only the issues you have permission to view. All 
		search parameters are optional.</asp:Label>
	</p>
	<table class="graphtable lightbg" width="100%" border="1" cellpadding="4">
		<tr>
			<td class="gradientbg"><b><asp:Label ID="lblTitle" runat="server" EnableViewState="False" meta:resourcekey="lblTitleResource1">Search for an issue</asp:Label></b></td>
		</tr>
		<tr>
			<td>
				<table width="100%" cellpadding="5">
					<tr>
						<td><asp:Label ID="lblCateg" runat="server" EnableViewState="False" meta:resourcekey="lblCategResource1">Category:</asp:Label></td>
						<td style="width:50%"><asp:DropDownList id="ddlCategory" runat="server" Width="100%"></asp:DropDownList></td>
						<td style="white-space:nowrap"><asp:Label ID="Label5" runat="server" EnableViewState="False" meta:resourcekey="Label5Resource1">Keywords (comma separated):</asp:Label></td>
						<td style="width:50%"><asp:TextBox id="tbKeywords" runat="server" Width="100%" meta:resourcekey="tbKeywordsResource1"></asp:TextBox></td>
					</tr>
					<tr>
						<td><asp:Label ID="lblFrom" runat="server" EnableViewState="False" meta:resourcekey="lblFromResource1">From:</asp:Label></td>
						<td>
							<asp:TextBox id="tbFrom" runat="server" Width="100%" meta:resourcekey="tbFromResource1"></asp:TextBox></td>
						<td style="white-space:nowrap"><asp:Label ID="Label3" runat="server" EnableViewState="False" meta:resourcekey="Label3Resource1">Assigned to:</asp:Label></td>
						<td>
							<asp:TextBox id="tbAssignedTo" runat="server" Width="100%" meta:resourcekey="tbAssignedToResource1"></asp:TextBox></td>
					</tr>
					<tr>
						<td style="white-space:nowrap"><b><asp:Label ID="lblID" runat="server" EnableViewState="False" meta:resourcekey="lblIDResource1">Issue ID:</asp:Label></b></td>
						<td><asp:TextBox ID="tbID" runat="server" meta:resourcekey="tbIDResource1"></asp:TextBox></td>
						<td><asp:Label ID="lblStatus" runat="server" EnableViewState="False" meta:resourcekey="lblStatusResource1">Status:</asp:Label></td>
						<td>
						    <asp:CheckBox ID="cbStatusNot" runat="server" Text="NOT" />
						    <asp:DropDownList ID="ddlStatus" runat="server" DataTextField="Name" DataValueField="StatusID"></asp:DropDownList>
						</td>
					</tr>
					<tr>
						<td colspan="4" align="center">
							<asp:Button id="btnSearch" runat="server" Text="search" CssClass="gradientbg" onclick="btnSearch_Click" meta:resourcekey="btnSearchResource1"></asp:Button></td>
					</tr>
				</table>
			</td>
		</tr>
	</table>
	<br/>
	<asp:datagrid id="gridIssues" runat="server" Width="100%" CssClass="lightbg" BorderColor="Silver"
		BorderStyle="Solid" CellPadding="3" AutoGenerateColumns="False" EnableViewState="False">
		<HeaderStyle Font-Bold="True" CssClass="gradientbg"></HeaderStyle>
		<Columns>
			<asp:TemplateColumn HeaderText="Issue" meta:resourcekey="colIssueResource1">
				<HeaderStyle Width="90%"></HeaderStyle>
				<ItemTemplate>
					<asp:HyperLink runat="server" Text='<%# Eval("Subject") %>' NavigateUrl='<%# Eval("IssueID", "ViewIssue.aspx?IssueID={0}") %>' meta:resourcekey="HyperLinkResource1"></asp:HyperLink>
				</ItemTemplate>
			</asp:TemplateColumn>
			<asp:BoundColumn DataField="Name" HeaderText="Category" meta:resourcekey="colCategoryResource1"></asp:BoundColumn>
		</Columns>
	</asp:datagrid>
</asp:Content>
