use master
go

-- create database with default parameters 
create database JitbitHelpDesk
go

-- create a login called 'JitbitHelpDeskUser' 
-- remember to change the password
exec sp_addlogin 'JitbitHelpDeskUser', 'hdpsw', 'JitbitHelpDesk'
go

-- switch to the context of the new database 
use JitbitHelpDesk
go

-- add JitbitHelpDeskUser as a user in this database 
-- assign him to the db_datareader role 
exec sp_adduser 'JitbitHelpDeskUser', 'JitbitHelpDeskUser', 'db_datareader' 

-- add the new user to the db_datawriter role 
EXEC sp_addrolemember 'db_datawriter', 'JitbitHelpDeskUser' 
GO