<%@ Page language="c#" Codebehind="AdminCategories.aspx.cs" AutoEventWireup="True" Inherits="HelpDesk.AdminCategories" MasterPageFile="HelpDeskMaster.Master" %>
<asp:Content ContentPlaceHolderID="ContentPlaceHolder1" id="Content1" runat="server">
	<p><strong><a href="Admin.aspx">Administration</a> &raquo;
	    <asp:Label ID="lblCategories" runat="server" EnableViewState="False" meta:resourcekey="lblCategoriesResource1">Categories</asp:Label></strong></p>
	<p><asp:Label ID="lblPrompt" runat="server" EnableViewState="False" meta:resourcekey="lblPromptResource1">Click on a category to edit it's properties</asp:Label></p>
	<asp:datagrid id="gridCategories" runat="server" CssClass="graphtable lightbg" CellPadding="3" Width="100%"
		EnableViewState="False" AutoGenerateColumns="False" OnItemCommand="gridCategories_ItemCommand" OnItemDataBound="gridCategories_ItemDataBound">
		<HeaderStyle Font-Bold="True" CssClass="gradientbg"></HeaderStyle>
		<Columns>
			<asp:BoundColumn Visible="False" DataField="CategoryID"></asp:BoundColumn>
			<asp:HyperLinkColumn DataNavigateUrlField="CategoryID" DataNavigateUrlFormatString="AdminEditCategory.aspx?CategoryID={0}"
				DataTextField="Name" HeaderText="Category">
				<HeaderStyle Width="100%"></HeaderStyle>
			</asp:HyperLinkColumn>
			<asp:BoundColumn DataField="Section" HeaderText="Section"></asp:BoundColumn>
			<asp:ButtonColumn Text="delete" CommandName="delete" meta:resourcekey="ButtonColumnResource1"></asp:ButtonColumn>
		</Columns>
	</asp:datagrid><br />
	<asp:Label ID="lblCreateNew" runat="server" EnableViewState="False" meta:resourcekey="lblCreateNewResource1">Create new:</asp:Label>
	<asp:textbox id="tbCatName" runat="server"></asp:textbox><asp:button id="btnAddCat" runat="server" CssClass="gradientbg" Text="add new" OnClick="btnAddCat_Click" meta:resourcekey="btnAddCatResource1"></asp:button>
	
	<br /><br /><br />
	<hr align="left"/>
	
	<p>(Optional) Categories can be organized into <b>Sections</b>.
		<b>Sections</b> are just "folders" that contain categories.</p>
	<asp:datagrid id="gridSections" runat="server" CssClass="graphtable lightbg" CellPadding="3" Width="100%"
		EnableViewState="False" AutoGenerateColumns="False" OnItemCommand="gridSections_ItemCommand" OnItemDataBound="gridSections_ItemDataBound">
		<HeaderStyle Font-Bold="True" CssClass="gradientbg"></HeaderStyle>
		<Columns>
			<asp:BoundColumn Visible="False" DataField="SectionID"></asp:BoundColumn>
			<asp:HyperLinkColumn DataNavigateUrlField="SectionID" DataNavigateUrlFormatString="AdminEditSection.aspx?SectionID={0}"
				DataTextField="Name" HeaderText="Sections">
				<HeaderStyle Width="100%"></HeaderStyle>
			</asp:HyperLinkColumn>
			<asp:ButtonColumn Text="delete" CommandName="delete"></asp:ButtonColumn>
		</Columns>
	</asp:datagrid><br />
	<asp:Label ID="Label1" runat="server" EnableViewState="False">Create new:</asp:Label>
	<asp:textbox id="tbSectionName" runat="server"></asp:textbox><asp:button id="btnAddSection" runat="server" CssClass="gradientbg" Text="add new" OnClick="btnAddSection_Click"></asp:button>
</asp:Content>
