<%@ Page language="c#" Codebehind="AdminEditCategory.aspx.cs" AutoEventWireup="True" Inherits="HelpDesk.AdminEditCategory" MasterPageFile="HelpDeskMaster.Master" %>
<asp:Content ContentPlaceHolderID="ContentPlaceHolder1" id="Content1" runat="server">
	<p><strong><a href="Admin.aspx">Administration</a> &raquo;
	    <a href="AdminCategories.aspx"><asp:Label ID="lblCategories" runat="server" EnableViewState="False" meta:resourcekey="lblCategoriesResource1">Categories</asp:Label></a>
		&raquo; <asp:Label ID="lblEdit" runat="server" EnableViewState="False" meta:resourcekey="lblEditResource1">Edit category</asp:Label></strong></p>
	<table class="graphtable lightbg" cellpadding="5" style="width:500px">
	<tr>
	    <td width="50%"><asp:Label ID="lblName" runat="server" EnableViewState="False" meta:resourcekey="lblNameResource1">Category name:</asp:Label></td>
	    <td><asp:TextBox id="tbName" runat="server"></asp:TextBox></td>
	</tr>
	<tr>
	    <td><asp:Label ID="lblSection" runat="server" EnableViewState="False" meta:resourcekey="lblSectionResource1">Category section:</asp:Label></td>
	    <td><asp:DropDownList runat="server" ID="ddlSection" DataTextField="Name" DataValueField="SectionID"></asp:DropDownList></td>
	</tr>
	<tr>
	    <td colspan="2"><asp:Button id="btnSave" runat="server" Text="save" CssClass="gradientbg" onclick="btnSave_Click" meta:resourcekey="btnSaveResource1"></asp:Button></td>
	</tr>
	</table>
	<p><asp:Label ID="lblUsersWithAccess" runat="server" EnableViewState="False" meta:resourcekey="lblUsersWithAccessResource1">Users with access to this category (click on a username to add/remove):</asp:Label></p>
	<table style="width:500px;height:200px;" cellpadding="3" class="graphtable lightbg">
		<tr class="gradientbg">
			<td align="center" width="50%"><asp:Label ID="lblWithAccess" runat="server" EnableViewState="False" meta:resourcekey="lblWithAccessResource1">Users with access</asp:Label></td>
			<td align="center"><asp:Label ID="lblWithoutAccess" runat="server" EnableViewState="False" meta:resourcekey="lblWithoutAccessResource1">Users without access</asp:Label></td>
		</tr>
		<tr valign="top">
			<td height="100%">
				<div style="OVERFLOW:auto;HEIGHT:100%">
					<asp:Repeater id="rptAllowed" runat="server" OnItemCommand="rptAllowed_ItemCommand">
						<ItemTemplate>
							<asp:linkbutton runat="server" id="btnDenyAccess" CommandName="deny" CommandArgument='<%# DataBinder.Eval(Container.DataItem, "UserID") %>'><%# DataBinder.Eval(Container.DataItem, "Username") %></asp:linkbutton>
							<b>;</b>
						</ItemTemplate>
					</asp:Repeater>
				</div>
			</td>
			<td><div style="OVERFLOW:auto;HEIGHT:100%">
					<asp:Repeater id="rptDenied" runat="server" OnItemCommand="rptDenied_ItemCommand">
						<ItemTemplate>
							<asp:linkbutton runat="server" id="btnGrantAccess" CommandName="grant" CommandArgument='<%# DataBinder.Eval(Container.DataItem, "UserID") %>'><%# DataBinder.Eval(Container.DataItem, "Username") %></asp:linkbutton>
							<b>;</b>
						</ItemTemplate>
					</asp:Repeater>
				</div>
			</td>
		</tr>
	</table>
	<p><asp:Label ID="lblNote1" runat="server" EnableViewState="False" meta:resourcekey="lblNote1Resource1">NOTE: Users who have "access" to the category - deal with the issues in 
		the category. They have permission to review the list of active issues in the 
		category, "takeover" an issue (or be "assigned to" an issue by the 
		administrator). Also these users get notified (by email) of every new issue 
		submitted to the category.</asp:Label></p>
	<p><asp:Label ID="lblNote2" runat="server" EnableViewState="False" meta:resourcekey="lblNote2Resource1">NOTE: Administrator users are not listed here. Administrators are allowed
		to view and handle issues in all categories.</asp:Label></p>
</asp:Content>
