<%@ Page language="c#" Codebehind="KBase.aspx.cs" AutoEventWireup="True" Inherits="HelpDesk.KBase" MasterPageFile="HelpDeskMaster.Master" %>
<asp:Content ContentPlaceHolderID="ContentPlaceHolder1" id="Content1" runat="server">
	<table width="100%" cellpadding="5">
		<tr valign="top">
			<!-- left td start (categories menu)-->
			<td style="width:250px;">
				<table class="graphtable lightbg" cellpadding="4" style="width:250px">
					<tr>
						<td class="gradientbg"><b><asp:Label ID="lblTitle" runat="server" EnableViewState="False" meta:resourcekey="lblTitleResource1">Pick a category:</asp:Label></b></td>
					</tr>
					<tr valign="top" height="100%">
						<td class="catmenu"><asp:Repeater id="rptCategories" runat="server" EnableViewState="False">
								<ItemTemplate>
								    <%# RenderTree(Eval("Section").ToString()) %>
									<a href='KBase.aspx?CategoryID=<%# DataBinder.Eval(Container.DataItem, "CategoryID") %>'>
										<%# DataBinder.Eval(Container.DataItem, "Name") %>
										<b><%# ((int)DataBinder.Eval(Container.DataItem, "IssuesCount"))>0 ? ("(" + DataBinder.Eval(Container.DataItem, "IssuesCount") + ")") : "" %></b>
									</a>
								</ItemTemplate>
								<FooterTemplate>
								    <%= RenderTreeEnd() %>
								</FooterTemplate>
							</asp:Repeater>
							<p>&nbsp;</p>
						</td>
					</tr>
				</table>
			</td>
			<!-- left td end -->
			<!-- right td start -->
			<td>
				<table class="graphtable" cellpadding="4" width="100%">
					<tr>
						<td class="gradientbg">
						    <a href="SearchKB.aspx">
						        <asp:Label ID="lblSearchKB" runat="server" EnableViewState="False" meta:resourcekey="lblSearchKBResource1">search</asp:Label></a>
						</td>
					</tr>
				</table>
				<br />
				<asp:Label id="lblNoIssues" runat="server" Visible="False" EnableViewState="False" meta:resourcekey="lblNoIssuesResource1">No issues in the knowledge base</asp:Label>
				<asp:DataGrid id="gridIssues" runat="server" AutoGenerateColumns="False" EnableViewState="False"
					Width="100%" CellPadding="3" BorderStyle="Solid" BorderColor="Silver" CssClass="lightbg sortable">
					<HeaderStyle CssClass="gradientbg"></HeaderStyle>
					<Columns>
						<asp:HyperLinkColumn DataNavigateUrlField="IssueID" DataNavigateUrlFormatString="ViewKBIssue.aspx?IssueID={0}"
							DataTextField="Subject" HeaderText="Issue" meta:resourcekey="colIssueResource1">
							<HeaderStyle Width="100%"></HeaderStyle>
						</asp:HyperLinkColumn>
						<asp:BoundColumn DataField="IssueDate" HeaderText="Date" DataFormatString="{0:d}" meta:resourcekey="colDateResource1"></asp:BoundColumn>
					</Columns>
				</asp:DataGrid>
			</td>
		</tr>
	</table>
</asp:Content>
