<%@ Page language="c#" Codebehind="MyIssues.aspx.cs" AutoEventWireup="True" Inherits="HelpDesk.MyIssues" MasterPageFile="HelpDeskMaster.Master" %>
<asp:Content ContentPlaceHolderID="ContentPlaceHolder1" id="Content1" runat="server">
	<table class="graphtable lightbg" cellpadding="4" width="100%">
		<tr>
			<td class="gradientbg">
			    <asp:HyperLink NavigateUrl="MyIssues.aspx" id="lnkAll" runat="server" enableviewstate="False" meta:resourcekey="lnkAllResource1">all your active issues</asp:HyperLink>
			    | <asp:HyperLink NavigateUrl="MyIssues.aspx?ShowHandledOnly=1" id="lnkHandledOnly" runat="server" enableviewstate="False" meta:resourcekey="lnkHandledOnlyResource1">only issues you handle</asp:HyperLink>
			    | <asp:HyperLink NavigateUrl="MyIssues.aspx?ShowSubmittedOnly=1" id="lnkSumbittedOnly" runat="server" enableviewstate="False" meta:resourcekey="lnkSumbittedOnlyResource1">only issues you submitted</asp:HyperLink>
			    | <asp:HyperLink NavigateUrl="MyIssues.aspx?ShowClosed=1" id="lnkClosed" runat="server" enableviewstate="False" meta:resourcekey="lnkClosedResource1">all your issues (inluding closed)</asp:HyperLink>
			    | <asp:HyperLink NavigateUrl="NewIssue.aspx" id="lnkNewIssue" runat="server" enableviewstate="False" meta:resourcekey="lnkNewIssueResource1">submit a new issue</asp:HyperLink></td>
		</tr>
	</table>
	<br />
	<asp:Label id="lblNoIssues" runat="server" Visible="False" EnableViewState="False" meta:resourcekey="lblNoIssuesResource1">No issues found</asp:Label>
	<asp:DataGrid id="gridIssues" runat="server" AutoGenerateColumns="False" EnableViewState="False"
		Width="100%" CellPadding="3" BorderColor="Silver" BorderStyle="Solid" CssClass="lightbg sortable" OnItemDataBound="gridIssues_ItemDataBound">
		<HeaderStyle CssClass="gradientbg"></HeaderStyle>
		<Columns>
			<asp:TemplateColumn HeaderText="ID">
				<ItemTemplate>
					<asp:HyperLink runat="server" Text='<%# Eval("IssueID") %>' NavigateUrl='<%# Eval("IssueID", "ViewIssue.aspx?IssueID={0}") %>'></asp:HyperLink>
				</ItemTemplate>
			</asp:TemplateColumn>
			<asp:TemplateColumn HeaderText="Issue" meta:resourcekey="colIssueResource1">
				<HeaderStyle Width="100%"></HeaderStyle>
				<ItemTemplate>
					<asp:HyperLink runat="server" Text='<%# Eval("Subject") %>' NavigateUrl='<%# Eval("IssueID", "ViewIssue.aspx?IssueID={0}") %>'></asp:HyperLink>
					<%# (int)Eval("StatusID")==1 ? "<img src=\"images/new.gif\" />" : "" %>
					<%# (bool)Eval("UpdatedByPerformer") ? "<img src=\"images/updated.gif\" />" : "" %>
				</ItemTemplate>
			</asp:TemplateColumn>
			<asp:TemplateColumn HeaderText="Priority" meta:resourcekey="colPriorityResource1">
				<ItemTemplate>
					<asp:Label ID="lblPriority" runat="server" ForeColor='<%# HelpDesk.HDPage.GetColorByPriority((HelpDesk.BusinessLayer.IssuePriority)Convert.ToInt64(Eval("Priority"))) %>' EnableViewState="False"><%# ((HelpDesk.BusinessLayer.IssuePriority)Convert.ToInt64(Eval("Priority"))).ToString() %></asp:Label>
				</ItemTemplate>
			</asp:TemplateColumn>			
			<asp:BoundColumn DataField="Status" HeaderText="Status" meta:resourcekey="colStatusResource1">
				<ItemStyle Wrap="False"></ItemStyle>
			</asp:BoundColumn>
			<asp:TemplateColumn HeaderText="Category" meta:resourcekey="colCategoryResource1">
                <ItemStyle Wrap="False" />
                <ItemTemplate>
                    <%# Eval("Section").ToString().Length == 0 ? "" : (Eval("Section") + " / ") %>
                    <%# Eval("Category") %>
                </ItemTemplate>
            </asp:TemplateColumn>
			<asp:BoundColumn DataField="IssueDate" HeaderText="Date" DataFormatString="{0:d}" meta:resourcekey="colDateResource1"></asp:BoundColumn>
		</Columns>
	</asp:DataGrid>
</asp:Content>
