<%@ Page Language="c#" Codebehind="NewIssue.aspx.cs" AutoEventWireup="True" Inherits="HelpDesk.NewIssue"
	MasterPageFile="HelpDeskMaster.Master" Async="true" %>

<asp:Content ContentPlaceHolderID="ContentPlaceHolder1" ID="Content1" runat="server">
    <script type="text/javascript" src="broswerDetection.js"></script>
	<script type="text/javascript" src="formatting.js"></script>
	<script type="text/javascript">
	function ShowHideUsers()
	{
		oDiv = document.getElementById("spanUsers");
        if(oDiv.style.display=='')
        {
            oDiv.style.display='none';
        }
        else if(oDiv.style.display=='none')
        {
            oDiv.style.display='';
        }
	}
	</script>
	<table class="graphtable lightbg" width="100%" cellpadding="4">
		<tr>
			<td width="100%" class="gradientbg">
				<b><asp:Label ID="lblTitle" runat="server" EnableViewState="False" meta:resourcekey="lblTitleResource1">New Issue Submission</asp:Label></b></td>
		</tr>
		<tr>
			<td>
				<table cellpadding="2" width="100%">
					<tr>
						<td>
							<asp:Label ID="lblCat" runat="server" EnableViewState="False" meta:resourcekey="lblCatResource1">Issue category:</asp:Label>
							<asp:RequiredFieldValidator ID="RequiredFieldValidator3" runat="server" ErrorMessage="Please specify the issue category" ControlToValidate="ddlCat" Display="Dynamic" meta:resourcekey="RequiredFieldValidator3Resource1"></asp:RequiredFieldValidator><br/>
							<asp:DropDownList ID="ddlCat" runat="server" Width="100%" meta:resourcekey="ddlCatResource1">
							</asp:DropDownList></td>
					</tr>
					<tr>
						<td>
							<asp:Label ID="lblPriority" runat="server" EnableViewState="False" meta:resourcekey="lblPriorityResource1">Priority:</asp:Label>
							<asp:DropDownList ID="ddlPriority" runat="server" Width="100%" EnableViewState="False" meta:resourcekey="ddlPriorityResource1">
								<asp:ListItem Text="Low" Value="-1" meta:resourcekey="ListItemResource1"></asp:ListItem>
								<asp:ListItem Text="Normal" Value="0" Selected="True" meta:resourcekey="ListItemResource2"></asp:ListItem>
								<asp:ListItem Text="High" Value="1" meta:resourcekey="ListItemResource3"></asp:ListItem>
							</asp:DropDownList></td>
					</tr>
					<tr>
						<td>
							<asp:Label ID="lblSubj" runat="server" EnableViewState="False" meta:resourcekey="lblSubjResource1">Subject:</asp:Label>
							<asp:RequiredFieldValidator ID="RequiredFieldValidator1" runat="server" ErrorMessage="Please enter the subject"
								Display="Dynamic" ControlToValidate="tbSubj" meta:resourcekey="RequiredFieldValidator1Resource1"></asp:RequiredFieldValidator><br/>
							<asp:TextBox ID="tbSubj" runat="server" Width="100%" MaxLength="40" meta:resourcekey="tbSubjResource1"></asp:TextBox></td>
					</tr>
					<tr>
						<td>
							<asp:Label ID="lblBody" runat="server" EnableViewState="False" meta:resourcekey="lblBodyResource1">Details:</asp:Label>
							<asp:RequiredFieldValidator ID="RequiredFieldValidator2" runat="server" ErrorMessage="Please fill the details"
								Display="Dynamic" ControlToValidate="tbBody" meta:resourcekey="RequiredFieldValidator2Resource1"></asp:RequiredFieldValidator>
							<div class="editbar">
		                        <button class="formatting" title="bold" onclick="javascript:AddTag('[b]','[/b]')" type="button"><b>B</b></button>
			                    <button class="formatting" title="italic" onclick="javascript:AddTag('[i]','[/i]')" type="button"><i>I</i></button>
			                    <button class="formatting" title="underline" onclick="javascript:AddTag('[u]','[/u]')" type="button"><u>U</u></button>
			                    <button class="formatting" title="hyperlink" onclick="javascript:AddTag('[url=',']link[/url]')" type="button"><img src="images/url.gif" alt="hyperlink" /></button>
			                    <button class="formatting" title="image" onclick="javascript:AddTag('[img]', '[/img]')" type="button"><img src="images/img.gif" alt="image" /></button>
		                    </div>
							<asp:TextBox ID="tbBody" style="border-top:none;margin-right:auto;" Width="100%" runat="server" TextMode="MultiLine" Rows="5"
								MaxLength="4000" meta:resourcekey="tbBodyResource1"></asp:TextBox>
						</td>
					</tr>
					<tr>
						<td>
							<asp:Label ID="lblAttachment" runat="server" EnableViewState="False" meta:resourcekey="lblAttachmentResource1">File attachment (optional):</asp:Label>
							<asp:FileUpload ID="fileUpload" runat="server" meta:resourcekey="fileUploadResource1" />
							(max <%= HelpDesk.BusinessLayer.Settings.MaxAttachSize %> kb!)
						</td>
					</tr>
					<tr id="trBehalf" runat="server">
						<td style="padding-top:10px;">
							<asp:CheckBox ID="cbOnBehalf" runat="server" Text="Submit on behalf of other user" meta:resourcekey="cbOnBehalfResource1" />
							<span id="spanUsers" style="display:none">
							<asp:DropDownList ID="ddlUsers" runat="server" DataTextField="Username" DataValueField="UserID" meta:resourcekey="ddlUsersResource1"></asp:DropDownList>
							</span>
						</td>
					</tr>
				</table>
			</td>
		</tr>
	</table>
	<br />
	<asp:Button ID="btnAdd" runat="server" Text="Submit" Font-Bold="True" CssClass="gradientbg" OnClick="btnAdd_Click" meta:resourcekey="btnAddResource1"></asp:Button>
</asp:Content>
