<%@ Page EnableEventValidation="false" language="c#" Codebehind="ViewIssue.aspx.cs" AutoEventWireup="True" Inherits="HelpDesk.ViewIssue" MasterPageFile="HelpDeskMaster.Master" Async="true" ValidateRequest="false" %>
<asp:Content ContentPlaceHolderID="ContentPlaceHolder1" id="Content1" runat="server">
    <script language="javascript" type="text/javascript">
    function ShowHideNewAttachment()
    {
        oDiv = document.getElementById("divNewAttachment");
        if(oDiv.style.display=='')
        {
            oDiv.style.display='none';
        }
        else if(oDiv.style.display=='none')
        {
            oDiv.style.display='';
        }
    }
    function ShowEditor()
    {
        document.getElementById("<%= spanEditor.ClientID %>").style.display='';
        document.getElementById("<%= tbSubject.ClientID %>").style.display='';
        
        document.getElementById("<%= tbBody.ClientID %>").style.height=document.getElementById("<%= lblBody.ClientID %>").offsetHeight;
        
        document.getElementById("<%= lblSubject.ClientID %>").style.display='none';
        document.getElementById("<%= lblBody.ClientID %>").style.display='none';
        document.getElementById("<%= lnkEdit.ClientID %>").style.display='none';
    }
    function HideEditor()
    {
        document.getElementById("<%= spanEditor.ClientID %>").style.display='none';
        document.getElementById("<%= tbSubject.ClientID %>").style.display='none';
        
        document.getElementById("<%= lblSubject.ClientID %>").style.display='';
        document.getElementById("<%= lblBody.ClientID %>").style.display='';
        document.getElementById("<%= lnkEdit.ClientID %>").style.display='';
    }
    </script>
	<table width="100%" cellpadding="0" cellspacing="0">
		<tr>
			<td><asp:button id="btnReOpen" runat="server" ToolTip="Restore the resolved issue" text="re-open" CssClass="gradientbg" onclick="btnReOpen_Click" meta:resourcekey="btnReOpenResource1" />
				<asp:button id="btnClose" runat="server" ToolTip="Close the issue" text="close" CssClass="gradientbg" onclick="btnClose_Click" OnClientClick="return confirm('Are you sure you want to close the issue?')" meta:resourcekey="btnCloseResource1" />
				<asp:button id="btnTake" runat="server" ToolTip="Take up the issue. Status will turn to 'In process' and you will become an 'assigned to' manager." Text="takeover" CssClass="gradientbg" onclick="btnTake_Click" meta:resourcekey="btnTakeResource1" />
				<asp:Button id="btnDelete" runat="server" Text="delete" CssClass="gradientbg" ToolTip="Permanently delete the issue" onclick="btnDelete_Click" OnClientClick="return confirm('Are you sure you want to delete the issue?')" meta:resourcekey="btnDeleteResource1"></asp:Button></td>
			<td align="right">
				<asp:Button id="btnDelKB" runat="server" CssClass="gradientbg" ToolTip="delete this issue from the Knowledge Base" Text="delete from KB" onclick="btnDelKB_Click" meta:resourcekey="btnDelKBResource1"></asp:Button>
				<asp:Button id="btnKB" runat="server" ToolTip="publish this issue to the Knowledge Base" Text="publish to KB" CssClass="gradientbg" onclick="btnKB_Click" meta:resourcekey="btnKBResource1"></asp:Button></td>
		</tr>
	</table>
	<br />
	<table class="graphtable lightbg" cellspacing="0" cellpadding="4" width="100%">
		<tr>
			<td class="gradientbg">
			<b><asp:label id="lblIssue" runat="server" EnableViewState="False" meta:resourcekey="lblIssueResource1">Issue:</asp:label></b>
			<asp:label id="lblSubject" runat="server" EnableViewState="False"></asp:label>
			<asp:TextBox id="tbSubject" runat="server" EnableViewState="false" style="display:none;"></asp:TextBox>
			</td>
		</tr>
		<tr>
			<td>
			<asp:label id="lblBody" runat="server" EnableViewState="False"></asp:label>
			<span runat="server" enableviewstate="false" id="spanEditor" style="display:none">
			    <asp:TextBox id="tbBody" Rows="3" TextMode="MultiLine" runat="server" EnableViewState="false" Width="100%"></asp:TextBox>
			    <asp:Button ID="btnEdit" CssClass="gradientbg" runat="server" EnableViewState="false" Text="OK" OnClick="btnEdit_Click" />
			    <button class="gradientbg" onclick="HideEditor();">Cancel</button>
			</span>
			<a href="javascript:ShowEditor()" id="lnkEdit" runat="server" enableviewstate="false" ><img src="images/edit.gif" /></a>
			</td>
		</tr>
	</table>
	<br />
    <span class="grey"><img alt="" src="images/attachment.gif" /><asp:label id="lblAttach" runat="server" EnableViewState="False" meta:resourcekey="lblAttachResource1">Attachments:</asp:label></span>
    <asp:Repeater id="rptAttachmetns" runat="server" EnableViewState="False" OnItemCommand="rptAttachmetns_ItemCommand">
	    <ItemTemplate>
	        <a href='GetAttachment.aspx?FileID=<%# Eval("FileID") %>' target="_blank"><%# Eval("FileName") %></a>
	        <asp:LinkButton OnClientClick="return confirm('Are you sure?');" ID="btnDelAtt" runat="server" CommandName="del" CommandArgument='<%# Eval("FileID") %>' meta:resourcekey="btnDelAttResource1"><img alt="" src="images/delete.gif" border="0" /></asp:LinkButton>
	        &nbsp;&nbsp;
	    </ItemTemplate>
	    <FooterTemplate><br /></FooterTemplate>
    </asp:Repeater>
    <a href="javascript:ShowHideNewAttachment()"><asp:label id="lblNewAttach" runat="server" EnableViewState="False" meta:resourcekey="lblNewAttachResource1">new attachment...</asp:label></a>
    
    <span id="divNewAttachment" class="lightbg" style="display:none;padding: 3px 3px 3px 3px; border: 1px solid silver;position:absolute;text-align:right">
        <a href="javascript:ShowHideNewAttachment()"><img src="images/close.gif" alt="close" /></a>
        <div style="text-align:left;">
        <asp:label id="lblChooseFile" runat="server" EnableViewState="False" meta:resourcekey="lblChooseFileResource1">Choose a file:</asp:label>
        (max <%= HelpDesk.BusinessLayer.Settings.MaxAttachSize %> kb)<br />
        <asp:FileUpload ID="fileUpload" runat="server" meta:resourcekey="fileUploadResource1" />
        <asp:Button ID="btnUpload" runat="server" Text="upload" CssClass="gradientbg" OnClick="btnUpload_Click" meta:resourcekey="btnUploadResource1" />
        </div>
    </span>
    
    <br />
    <br />
	<table class="graphtable lightbg" cellspacing="0" cellpadding="4" width="100%">
		<tr>
			<td class="gradientbg"><b><asp:label id="lblBodyTitle" runat="server" EnableViewState="False" meta:resourcekey="lblBodyTitleResource1">Details</asp:label></b>
			</td>
		</tr>
		<tr>
			<td>
				<table cellpadding="2" width="100%" class="issuedetails">
					<tr>
						<td style="width:33%;height:20px;"><b>
							<asp:label id="lblStatusTitle" runat="server" EnableViewState="False" meta:resourcekey="lblStatusTitleResource1">Status:</asp:label>
							<asp:label id="lblStatus" runat="server" EnableViewState="False"></asp:label></b>
						</td>
						<td style="width:33%">
							<asp:label id="lblFrom" runat="server" EnableViewState="False" CssClass="grey" meta:resourcekey="lblFromResource1">From:</asp:label>
							<a id="lnkFrom" runat="server" enableviewstate="false"></a>
						</td>
						<td style="width:33%">
							<asp:label id="lblCatTitle" runat="server" EnableViewState="False" CssClass="grey" meta:resourcekey="lblCatTitleResource1">Category:</asp:label>
							<asp:label id="lblCat" runat="server" EnableViewState="False"></asp:label>&nbsp;
							<button class="gradientbg" id="btnChangeCategory" runat="server" visible="false" type="button"
								title="Change category..." enableviewstate="false">...</button>
						</td>
					</tr>
					<tr>
						<td><asp:label id="lblIDTitle" runat="server" EnableViewState="False" CssClass="grey" meta:resourcekey="lblIDTitleResource1">Issue ID:</asp:label>
							<asp:label id="lblIssueID" runat="server" EnableViewState="False"></asp:label></td>
						<td>
							<asp:label id="lblDateTitle" runat="server" EnableViewState="False" CssClass="grey" meta:resourcekey="lblDateTitleResource1">Date:</asp:label>
							<asp:label id="lblDate" runat="server" EnableViewState="False"></asp:label></td>
						<td>
							<asp:label id="lblAssignedTo" runat="server" EnableViewState="False" CssClass="grey" meta:resourcekey="lblAssignedToResource1">Assigned to:</asp:label>
							<a id="lnkAssignedTo" runat="server" enableviewstate="false"></a>&nbsp;
							<button class="gradientbg" id="btnAssign" runat="server" visible="false" type="button" title="Assign the issue..." enableviewstate="false">...</button>
						</td>
					</tr>
					<tr>
						<td></td>
						<td nowrap="nowrap">
							<asp:label id="lblCloseDateTitle" runat="server" EnableViewState="False" CssClass="grey" meta:resourcekey="lblCloseDateTitleResource1">Close date:</asp:label>
							<asp:label id="lblCloseDate" runat="server" EnableViewState="False"></asp:label></td>
						<td>
							<asp:label id="lblPriorityTitle" runat="server" EnableViewState="False" CssClass="grey" meta:resourcekey="lblPriorityTitleResource1">Priority:</asp:label>
							<asp:label id="lblPriority" runat="server" EnableViewState="False"></asp:label>&nbsp;
							<button class="gradientbg" id="btnChangePriority" runat="server" type="button" title="Change priority..." enableviewstate="false">...</button>
						</td>
					</tr>
				</table>
			</td>
		</tr>
	</table>
	<br/>
	<table class="graphtable lightbg" cellspacing="0" cellpadding="4" width="100%">
		<tr>
			<td class="gradientbg"><asp:label id="lblLog" runat="server" EnableViewState="False" meta:resourcekey="lblLogResource1"><b>Message Log</b> (most current on top)</asp:label></td>
		</tr>
		<tr>
			<td><asp:textbox id="tbNewComment" runat="server" Width="99%" TextMode="MultiLine"></asp:textbox><br/>
				<asp:button id="btnAddComment" runat="server" text="add comment to the log" CssClass="gradientbg" onclick="btnAddComment_Click" meta:resourcekey="btnAddCommentResource1"></asp:button><br/>
				<p><asp:repeater id="rptComments" runat="server" EnableViewState="False">
				    <HeaderTemplate>
				        <table width="100%">
				    </HeaderTemplate>
					<ItemTemplate>
					    <tr valign="top">
					        <td class="commentsAttr grey" width="100px" style="border-top:1px solid #cccccc;">
					            <%# ((DateTime)Eval("CommentDate")).ToString("g") %><br />
					            <b><%# Eval("UserName") %></b>
					        </td>
					        <td style="border-top:1px solid #cccccc;" class='<%# GetCssClassName(Eval("UserName")) %>'>
					            <%# Eval("Body").ToString().Replace("<", "&lt;").Replace(">", "&gt;").Replace("\r\n", "<br/>")%>
					        </td>
					    </tr>
					</ItemTemplate>
					<FooterTemplate>
					    </table>
					</FooterTemplate>
				</asp:repeater></p>
			</td>
		</tr>
	</table>
</asp:Content>
